/***************************************************************************
 *   Copyright (C) 2003 by Gary Cramblitt                                  *
 *   garycramblitt@comcast.net                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include <klocale.h>
#include <kspell.h>
 
#include "clipspellconfig.h"

ClipSpellConfig::ClipSpellConfig(QWidget* parent): 
  KDialogBase(parent, "ClipSpellConfig", true, i18n("Configure KClipSpell"), KDialogBase::Ok | KDialogBase::Cancel, KDialogBase::Ok, true)
{
  cfg = new KSpellConfig(this, "KSpellConfig", 0, true);
  this->setMainWidget(cfg);
}

ClipSpellConfig::~ClipSpellConfig()
{
  delete cfg;
  cfg = 0;
}

void ClipSpellConfig::slotOk()
{
  cfg->writeGlobalSettings();
  this->delayedDestruct();;
}

#include "clipspellconfig.moc"
