/***************************************************************************
                          cspushbutton.h  -  description
                             -------------------
    begin                : Nov 6 2003
    copyright            : (C) 2003 by Gary Cramblitt
    email                : garycramblitt@comcast.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CSPUSHBUTTON_H
#define CSPUSHBUTTON_H

#include <qwidget.h>
#include <kpushbutton.h>
#include <qstring.h>

// class QDragEnterEvent;
// class QDropEvent;
class QMouseEvent;

/**
  *@author Gary Cramblitt
  */

class CSPushButton : public KPushButton  {
    Q_OBJECT
    public: 
        CSPushButton(QWidget *parent=0, const char *name=0);
        ~CSPushButton();

    signals:
        void about();

    public slots:
        void spellcheck();
        
    protected slots:
        void configureSpellcheck();
                
    protected:
        void mousePressEvent( QMouseEvent* e );

    private:

};

#endif
